summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vladimir MyRequiem2018-05-07 18:22:22 +0200
committer Willy Sudiarto Raharjo2018-05-12 01:58:23 +0200
commit1a8c9e2bc31a1aa388f3fb4c590a849f747a71cb (patch)
treec92172faa2ec422f6ec0d32c7e03d7eacb579c8e
parenta663027d0cc882b4fe1adb22e79eaed87e7be864 (diff)
downloadslackbuilds-1a8c9e2bc31a1aa388f3fb4c590a849f747a71cb.tar.gz
system/pytrash: Added (CLI implementation of the "trash").
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
-rw-r--r--system/pytrash/README8
-rw-r--r--system/pytrash/pytrash.SlackBuild103
-rw-r--r--system/pytrash/pytrash.info10
-rw-r--r--system/pytrash/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/system/pytrash/README b/system/pytrash/README
new file mode 100644
index 0000000000..23bf40f382
--- /dev/null
+++ b/system/pytrash/README
@@ -0,0 +1,8 @@
+pytrash - CLI implementation of the "trash" for Slackware linux
+
+Main features:
+ - remove to trash
+ - search in trash
+ - restore from trash
+ - clear trash
+ - show trash size
diff --git a/system/pytrash/pytrash.SlackBuild b/system/pytrash/pytrash.SlackBuild
new file mode 100644
index 0000000000..45c81aae6a
--- /dev/null
+++ b/system/pytrash/pytrash.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for pytrash
+#
+# pytrash - CLI implementation of the "trash" for Slackware linux
+# Home page: https://github.com/MyRequiem/pytrash
+#
+# Copyright (c) 2018 Vladimir MyRequiem Astrakhan, Russia
+# <mrvladislavovich@gmail.com>
+# All rights reserved
+
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=pytrash
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+install --mode=755 src/$PRGNAM $PKG/usr/bin
+
+cp -R etc $PKG
+chmod 755 $PKG/etc/bash_completion.d/$PRGNAM-bash-complition.sh
+
+# python libs
+PY3VER="$(python3 -c 'import sys; ver = sys.version_info; \
+ print("{0}.{1}".format(ver.major, ver.minor))')"
+LIBS=$PKG/usr/lib$LIBDIRSUFFIX/python$PY3VER/site-packages/$PRGNAM
+mkdir -p "${LIBS}"
+install --mode=644 src/*.py $LIBS
+
+# copy man pages
+mkdir -p $PKG/usr/man/man8
+cp man/$PRGNAM.8 $PKG/usr/man/man8
+# compress man pages
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+DOCS=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $DOCS
+cat $CWD/$PRGNAM.SlackBuild > $DOCS/$PRGNAM.SlackBuild
+cat $CWD/README > $DOCS/README
+cp -a AUTHORS ChangeLog.txt INSTALL LICENSE README.md requirements.txt $DOCS
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/pytrash/pytrash.info b/system/pytrash/pytrash.info
new file mode 100644
index 0000000000..ee8408e495
--- /dev/null
+++ b/system/pytrash/pytrash.info
@@ -0,0 +1,10 @@
+PRGNAM="pytrash"
+VERSION="1.1.0"
+HOMEPAGE="https://github.com/MyRequiem/pytrash"
+DOWNLOAD="https://github.com/MyRequiem/pytrash/archive/1.1.0/pytrash-1.1.0.tar.gz"
+MD5SUM="8ef33dd5b45daf9d0c2bb965db508584"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3"
+MAINTAINER="Vladimir MyRequiem"
+EMAIL="mrvladislavovich@gmail.com"
diff --git a/system/pytrash/slack-desc b/system/pytrash/slack-desc
new file mode 100644
index 0000000000..e088294d09
--- /dev/null
+++ b/system/pytrash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+pytrash: pytrash (CLI implementation of the "trash")
+pytrash:
+pytrash:
+pytrash:
+pytrash: pytrash - CLI implementation of the "trash" for Slackware linux
+pytrash:
+pytrash:
+pytrash:
+pytrash:
+pytrash: Homepage: https://github.com/MyRequiem/pytrash
+pytrash: